:root {
    --marker-color: 154, 255, 112;
}

body {
    background-color: rgb(250, 250, 250);
    color: rgb(50, 50, 50);
    font-family: Lato;
    font-size: 18px;
    line-height: 32px;
}

.container {
    max-width: 768px;
    margin: 0 auto 5em auto;
}

h1, h2, h3, h4, h5, h6 { line-height: 1em;}

h1 {
    font-size: 5em;
    margin-top: 25vh;
    font-weight: 300;
    font-style: italic;
}

h2 {
    margin-top: 5em;
    font-size: 2.5em;
    font-weight: lighter;
}

h3 {
    margin-top: 3em;
    font-size: 1.4em;
}

ul, ol {
    padding-left: 0;
}

li {
    list-style: none;
    counter-increment: list;
    position: relative;
}

li:hover:before {
    opacity: 1;
}

li:before {
    display: block;
    position: absolute;
    opacity: 0.2;
    right: 100%;
    padding-right: 1em;
    content: '#' attr(value);
    color: rgb(50, 50, 50, 0.7);
}

a {
    color: rgb(50, 50, 50);
    text-decoration: none;
    padding: 0 0.1em;
}

a:link, a:visited {
    border-top: 3px solid transparent;
    border-bottom: 3px solid rgb(255,193,7);
}

a:hover {
    border-top-color: rgb(255,193,7);
    background-color: rgb(255,193,7);
}

a:active {
    background-color: transparent;
}

.url {
    text-align: right;
}


/* --- Marker styling -------------------------------------------------------
 *
 * Adapted from https://stackoverflow.com/a/62484130
 */
.highlight, strong {
    font-weight: bold;
    background: linear-gradient(104deg, rgba(var(--marker-color), 0) 0.9%, 
                                        rgba(var(--marker-color), 1.25) 2.4%, 
                                        rgba(var(--marker-color), 0.5) 5.8%, 
                                        rgba(var(--marker-color), 0.1) 93%, 
                                        rgba(var(--marker-color), 0.7) 96%, 
                                        rgba(var(--marker-color), 2.0) 98%), 
                linear-gradient(183deg, rgba(var(--marker-color), 0) 0%, 
                                        rgba(var(--marker-color), 0.3) 7.9%,
                                        rgba(var(--marker-color), 0) 15%);
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    padding: 0.2em 0.1em;
    margin: 0;
    border-radius: 0.3em;
    text-shadow: -0.3em 0.4em 0.4em rgba(var(--marker-color), 0.7), 
                 0.3em -0.3em 0.3em rgba(255, 255, 255, 1), 
                 -0.7em -0.2em 0.3em rgba(255, 255, 255, 1);
}
